From 37d4b043479eb74bdbd8e32691197c40b10f2a60 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Wed, 10 Jul 2019 15:31:21 +0700
Subject: [PATCH] xbps-src: redirect various error msg to stderr

We couldn't use msg_red or msg_error,
since they won't be available until line #680
---
 xbps-src | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/xbps-src b/xbps-src
index 8e07058893e..cf2821586a0 100755
--- a/xbps-src
+++ b/xbps-src
@@ -212,7 +212,7 @@ check_reqhost_utils() {
 
     for f in ${REQHOST_UTILS}; do
         if ! command -v ${f} &>/dev/null; then
-            echo "${f} is missing in your system, can't continue!"
+            echo "${f} is missing in your system, can't continue!" 1>&2
             broken=1
         fi
     done
@@ -221,7 +221,7 @@ check_reqhost_utils() {
 
     for f in ${REQHOST_UTILS_BOOTSTRAP}; do
         if ! command -v ${f} &>/dev/null; then
-            echo "${f} is missing in your system, can't continue!"
+            echo "${f} is missing in your system, can't continue!" 1>&2
             broken=1
         fi
     done
@@ -238,8 +238,8 @@ check_build_requirements() {
     if [ -z "$found" ]; then
         xbps-uhelper cmpver "$XBPS_VERSION" "$XBPS_VERSION_REQ"
         if [ $? -eq 255 ]; then
-            echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}"
-            echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'"
+            echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}" 1>&2
+            echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'" 1>&2
             exit 1
         fi
     fi
@@ -501,7 +501,7 @@ fi
 [ ! -d $XBPS_HOSTDIR ] && mkdir -p $XBPS_HOSTDIR
 
 if [ -d "$XBPS_MASTERDIR" -a ! -w "$XBPS_MASTERDIR" ]; then
-    echo "ERROR: can't write to masterdir $XBPS_MASTERDIR."
+    echo "ERROR: can't write to masterdir $XBPS_MASTERDIR." 1>&2
     exit 1
 fi
 
@@ -511,7 +511,7 @@ if command -v chroot-git &>/dev/null; then
 elif command -v git &>/dev/null; then
     XBPS_GIT_CMD=$(command -v git)
 else
-    echo "neither chroot-git or git are available in your system!"
+    echo "neither chroot-git or git are available in your system!" 1>&2
     exit 1
 fi
 readonly XBPS_GIT_CMD
